Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class StatBase

    java.lang.Object
      net.minecraft.src.StatBase

Direct Known Subclasses:
  Achievement, StatBasic, StatCrafting

    public class StatBase

extends Object

Field Summary
`static IStatType` | `distanceStatType`
`boolean` | `isIndependent`
`static IStatType` | `simpleStatType`
`String` | `statGuid` Holds the GUID of the stat.
`int` | `statId` The Stat ID
`String` | `statName` The Stat name
`static IStatType` | `timeStatType`

Constructor Summary
`StatBase(int par1, String par2Str)`
`StatBase(int par1, String par2Str, IStatType par3IStatType)`

Method Summary
`String` | `func_75968_a(int par1)`
`String` | `getName()`
`StatBase` | `initIndependentStat()` Initializes the current stat as independent (i.e., lacking prerequisites for being updated) and returns the current instance.
`boolean` | `isAchievement()`
`StatBase` | `registerStat()` Register the stat into StatList.
`String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### statId

    public final int statId

  The Stat ID

### statName

    public final String statName

  The Stat name

### isIndependent

    public boolean isIndependent

### statGuid

    public String statGuid

  Holds the GUID of the stat.

### simpleStatType

    public static IStatType simpleStatType

### timeStatType

    public static IStatType timeStatType

### distanceStatType

    public static IStatType distanceStatType

Constructor Detail

### StatBase

    public StatBase(int par1,
                    String par2Str,
                    IStatType par3IStatType)

### StatBase

    public StatBase(int par1,
                    String par2Str)

Method Detail

### initIndependentStat

    public StatBase initIndependentStat()

  Initializes the current stat as independent (i.e., lacking prerequisites for being updated) and returns the current instance.

### registerStat

    public StatBase registerStat()

  Register the stat into StatList.

### isAchievement

    public boolean isAchievement()

### func_75968_a

    public String func_75968_a(int par1)

### getName

    public String getName()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD